--- old/usr/src/lib/nsswitch/user/Makefile.com	2019-07-05 17:34:25.865335717 +0000
+++ new/usr/src/lib/nsswitch/user/Makefile.com	2019-07-05 17:34:25.883091268 +0000
@@ -22,9 +22,6 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-# lib/nsswitch/user/Makefile.com
 
 LIBRARY =	libnss_user.a
 VERS =		.1
@@ -38,10 +35,17 @@
 # install this library in the root filesystem
 include ../../../Makefile.rootfs
 
+DYNLIB1 =	nss_user.so$(VERS)
+
+COMPATLINKS=	/usr/lib/$(DYNLIB1)
+COMPATLINKS64=	/usr/lib/$(MACH64)/$(DYNLIB1)
+
+$(ROOT)/usr/lib/$(DYNLIB1) := COMPATLINKTARGET=../../lib/$(DYNLIB1)
+$(ROOT)/usr/lib/$(MACH64)/$(DYNLIB1) := \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/$(DYNLIB1)
+
 CPPFLAGS +=	-I../../../common/inc
 LINTFLAGS +=	-erroff=E_GLOBAL_COULD_BE_STATIC2 -erroff=E_FUNC_SET_NOT_USED
 LINTFLAGS64 +=	-erroff=E_GLOBAL_COULD_BE_STATIC2 -erroff=E_FUNC_SET_NOT_USED
 
-DYNLIB1 =	nss_user.so$(VERS)
-
 all: $(DYNLIB1)
--- old/usr/src/lib/nsswitch/user/amd64/Makefile	2019-07-05 17:34:26.372116177 +0000
+++ new/usr/src/lib/nsswitch/user/amd64/Makefile	2019-07-05 17:34:26.389942401 +0000
@@ -23,7 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include		../Makefile.com
@@ -33,4 +33,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOT64DYNLIB)
+install:	all $(ROOT64DYNLIB) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/nsswitch/user/i386/Makefile	2019-07-05 17:34:26.836314015 +0000
+++ new/usr/src/lib/nsswitch/user/i386/Makefile	2019-07-05 17:34:26.852920279 +0000
@@ -20,7 +20,7 @@
 # CDDL HEADER END
 #
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # Copyright (c) 1993,2001 by Sun Microsystems, Inc.
 # All rights reserved.
@@ -33,4 +33,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOTLIBS)
+install:	all $(ROOTLIBS) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/nsswitch/user/sparc/Makefile	2019-07-05 17:34:27.314558888 +0000
+++ new/usr/src/lib/nsswitch/user/sparc/Makefile	2019-07-05 17:34:27.331881064 +0000
@@ -20,7 +20,7 @@
 # CDDL HEADER END
 #
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # Copyright (c) 1993,2001 by Sun Microsystems, Inc.
 # All rights reserved.
@@ -33,4 +33,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOTLIBS)
+install:	all $(ROOTLIBS) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/nsswitch/user/sparcv9/Makefile	2019-07-05 17:34:27.777290448 +0000
+++ new/usr/src/lib/nsswitch/user/sparcv9/Makefile	2019-07-05 17:34:27.791251867 +0000
@@ -20,7 +20,7 @@
 # CDDL HEADER END
 #
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # Copyright (c) 1993,2001 by Sun Microsystems, Inc.
 # All rights reserved.
@@ -34,4 +34,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOT64DYNLIB)
+install:	all $(ROOT64DYNLIB) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/print/libhttp-core/Makefile.com	2019-07-05 17:34:28.241580935 +0000
+++ new/usr/src/lib/print/libhttp-core/Makefile.com	2019-07-05 17:34:28.258889357 +0000
@@ -31,7 +31,6 @@
 ROOTLIBDIR =	$(ROOT)/usr/lib/print
 
 include ../../../Makefile.lib
-include ../../../Makefile.rootfs
 
 SRCDIR =	../common
 
--- old/usr/src/lib/print/libipp-core/Makefile.com	2019-07-05 17:34:28.639372959 +0000
+++ new/usr/src/lib/print/libipp-core/Makefile.com	2019-07-05 17:34:28.656454116 +0000
@@ -29,12 +29,9 @@
 OBJECTS = ipp.o ipp_types.o read.o strings.o write.o
 
 include ../../../Makefile.lib
-include ../../../Makefile.rootfs
 
 SRCDIR =	../common
 
-ROOTLIBDIR=	$(ROOT)/usr/lib
-
 LIBS =			$(DYNLIB)
 
 $(LINTLIB):=	SRCS = $(SRCDIR)/$(LINTSRC)
--- old/usr/src/lib/print/libipp-listener/Makefile.com	2019-07-05 17:34:29.109207943 +0000
+++ new/usr/src/lib/print/libipp-listener/Makefile.com	2019-07-05 17:34:29.126598908 +0000
@@ -36,12 +36,9 @@
 	set-printer-attributes.o validate-job.o
 
 include ../../../Makefile.lib
-include ../../../Makefile.rootfs
 
 SRCDIR =	../common
 
-ROOTLIBDIR=	$(ROOT)/usr/lib
-
 LIBS =			$(DYNLIB)
 
 $(LINTLIB):=	SRCS = $(SRCDIR)/$(LINTSRC)
--- old/usr/src/lib/print/libpapi-common/Makefile.com	2019-07-05 17:34:29.590838246 +0000
+++ new/usr/src/lib/print/libpapi-common/Makefile.com	2019-07-05 17:34:29.608003562 +0000
@@ -29,9 +29,6 @@
 OBJECTS = attribute.o common.o library.o list.o misc.o status.o uri.o
 
 include ../../../Makefile.lib
-include ../../../Makefile.rootfs
-
-ROOTLIBDIR=	$(ROOT)/usr/lib
 
 SRCDIR =	../common
 
--- old/usr/src/lib/print/libpapi-dynamic/Makefile.com	2019-07-05 17:34:30.060611569 +0000
+++ new/usr/src/lib/print/libpapi-dynamic/Makefile.com	2019-07-05 17:34:30.076730706 +0000
@@ -29,12 +29,9 @@
 OBJECTS = job.o nss.o printer.o psm.o service.o
 
 include ../../../Makefile.lib
-include ../../../Makefile.rootfs
 
 SRCDIR =	../common
 
-ROOTLIBDIR=	$(ROOT)/usr/lib
-
 LIBS =			$(DYNLIB)
 
 $(LINTLIB):=	SRCS = $(SRCDIR)/$(LINTSRC)
--- old/usr/src/lib/print/libpapi-ipp/Makefile.com	2019-07-05 17:34:30.542989705 +0000
+++ new/usr/src/lib/print/libpapi-ipp/Makefile.com	2019-07-05 17:34:30.559172595 +0000
@@ -27,10 +27,8 @@
 LIBRARY =		psm-ipp.a
 VERS =			.1
 OBJECTS = ipp-support.o job.o printer.o service.o
-ROOTLIBDIR =	$(ROOT)/usr/lib/print
 
 include ../../../Makefile.lib
-include ../../../Makefile.rootfs
 
 SRCDIR =	../common
 
--- old/usr/src/lib/print/libpapi-lpd/Makefile.com	2019-07-05 17:34:30.997421638 +0000
+++ new/usr/src/lib/print/libpapi-lpd/Makefile.com	2019-07-05 17:34:31.017672305 +0000
@@ -31,7 +31,6 @@
 	service.o $(COMMON_OBJS)
 
 include ../../../Makefile.lib
-include ../../../Makefile.rootfs
 
 SRCDIR =	../common
 
--- old/usr/src/lib/print/libprint/Makefile.com	2019-07-05 17:34:31.453142681 +0000
+++ new/usr/src/lib/print/libprint/Makefile.com	2019-07-05 17:34:31.469322514 +0000
@@ -31,12 +31,9 @@
 	ns_cmn_printer.o nss_convert.o nss_ldap.o nss_printer.o nss_write.o
 
 include ../../../Makefile.lib
-include ../../../Makefile.rootfs
 
 SRCDIR =	../common
 
-ROOTLIBDIR=	$(ROOT)/usr/lib
-
 LIBS =			$(DYNLIB)
 
 $(LINTLIB):=	SRCS = $(SRCDIR)/$(LINTSRC)
--- old/usr/src/lib/storage/liba5k/sparc/Makefile	2019-07-05 17:34:31.890181256 +0000
+++ new/usr/src/lib/storage/liba5k/sparc/Makefile	2019-07-05 17:34:31.907192921 +0000
@@ -28,4 +28,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/storage/liba5k/sparcv9/Makefile	2019-07-05 17:34:32.386602395 +0000
+++ new/usr/src/lib/storage/liba5k/sparcv9/Makefile	2019-07-05 17:34:32.403871766 +0000
@@ -30,4 +30,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/storage/libg_fc/sparc/Makefile	2019-07-05 17:34:32.871616993 +0000
+++ new/usr/src/lib/storage/libg_fc/sparc/Makefile	2019-07-05 17:34:32.888877984 +0000
@@ -27,4 +27,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/storage/libg_fc/sparcv9/Makefile	2019-07-05 17:34:33.356024917 +0000
+++ new/usr/src/lib/storage/libg_fc/sparcv9/Makefile	2019-07-05 17:34:33.373659936 +0000
@@ -27,6 +27,6 @@
 
 .KEEP_STATE:
 
-all: $(LIBS) 
+all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
